pbs_resv_attributes(7B)

NAME
pbs_resv_attributes - attributes of PBS advance and standing reservations

DESCRIPTION
PBS advance and standing reservations have the following attributes:

Account_Name
    No longer used.

Authorized_Groups
    List of groups who can or cannot submit jobs to this reservation. Group names are interpreted relative to the server, not the submission host. List is evaluated left-to-right; first match in list is used. This list is used to set the reservation queue's acl_groups attribute. See the G option to the pbs_rsub command.
    Readable by all; settable by all.
    Format: String
    Syntax:
    [+|-]<group name> [,[+|-]<group name> ...]

    Python type: pbs.acl
    Default: Reservation owner's login group

Authorized_Hosts
    The list of hosts from which jobs can and cannot be submitted to this reservation. List is evaluated left-to-right; first match in list is used. This list is used to set the reservation queue's acl_hosts attribute. See the H option to the pbs_rsub command.
    Readable by all; settable by all.
    Format: String
    Syntax:
    [+|-]<hostname> [,[+|-]<hostname> ...]
    Hostnames may be wildcarded using an asterisk, according to the following rules:
        - A hostname can contain at most one asterisk
        - The asterisk must be the leftmost label
    Examples:
        *.test.example.com
        *.example.com
        *.com

    Python type: pbs.acl
    Default: No default (Jobs can be submitted from all hosts)

Authorized_Users
    The list of users who can or cannot submit jobs to this reservation. List is evaluated left-to-right; first match in list is used. This list is used to set the reservation queue's acl_users attribute. See the U option to the pbs_rsub command.
    Readable by all; settable by all.
    Format: String
    Syntax:
    [+|-]<username>[<hostname>.<domain>] [, [+|-]<username>[<hostname>.<domain>] ...]
    where '-' means "deny" and '+' means "allow".
    The hostname portion of a username may be wildcarded using an asterisk, according to the following rules:
        - A hostname can contain at most one asterisk
        - The asterisk must be the leftmost label in the hostname
    Examples:
        *.test.example.com
        *.example.com
        *.com

    Python type: pbs.acl
    Default: Reservation owner only

ctime
    The time that the reservation was created.
    Readable by all; set by PBS.
    Format: Timestamp
    Printed by qstat in human-readable Date format.
    Output in hooks as seconds since epoch.

    Python type: int
    Default: No default

group_list
    No longer used.

hashname
    No longer used.

interactive
    Number of seconds that the pbs_rsub command will block while waiting for confirmation or denial of the reservation. See the -I block_time option to the pbs_rsub command.
    Readable by all; settable by all.
    Format: Integer
    Behavior:

    Less than zero
        The reservation is automatically deleted if it cannot be confirmed in the time specified.

    Zero or greater than zero
        The reservation is not automatically deleted after this time.

    Python type: int
    Default: Zero

Mail_Points
    Sets the list of events for which mail is sent by the server. Mail is sent to the list of users specified in the Mail_Users attribute. See the m mail_points option to the pbs_rsub command.
    Readable by all; settable by all.
    Format: String
    Syntax:
    One or more letters "a", "b", "c", "e", or the string "n".
    Cannot use "n" with any other letter.

    Behavior:

    a   Notify when reservation is terminated

    b   Notify when reservation period begins

    c   Notify when reservation is confirmed

    e   Notify when reservation period ends

    n   Do not send mail. Cannot be used with other letters.

    Python type: pbs.group_list
    Default: "ac"

Mail_Users
    The set of users to whom mail is sent for the reservation events specified in the Mail_Points attribute. See the M mail_list option to the pbs_rsub command.
    Readable by all; settable by all.
    Format: String
    Syntax:
    <username>@<hostname>[,<username>@<hostname> ...]

    Python type: pbs.user_list
    Default: Reservation owner only

mtime
    The time that the reservation was last modified.
    Readable by all; set by PBS.
    Format: Timestamp
    Printed by qstat in human-readable Date format.
    Output in hooks as seconds since epoch.

    Python type: int
    Default: No default

Priority
    No longer used.

queue
    Name of the reservation queue. Jobs that are to use resources belonging to this reservation are submitted to this queue.
    Readable by all; set by PBS.
    Format: String
    Format for an advance reservation: R<unique integer>
    Format for a standing reservation: S<unique integer>

    Python type: pbs.queue
    Default: No default

reserve_count
    The total number of occurrences in a standing reservation.
    Readable by all; settable by all.
    Format: Integer
    Python type: int
    Default: No default

reserve_duration
    Reservation duration in seconds. For a standing reservation, this is the duration for one occurrence.
    Readable by all; settable by all.
    Format: Integer
    Python type: pbs.duration
    Default: No default

reserve_end
    The date and time when an advance reservation or soonest occurrence of a standing reservation ends.
    Readable by all; settable by all.
    Format: Timestamp
    Printed by qstat in human-readable Date format.
    Output in hooks as seconds since epoch.

    Python type: int
    Default: No default

reserve_ID
    The reservation identifier.
    Format: String
    Format for an advance reservation: R<unique integer>.<server name>
    Format for a standing reservation: S<unique integer>.<server name>

    Python type: str
    Default: No default

reserve_index
    The index of the soonest occurrence of a standing reservation.
    Readable by all; set by PBS.
    Format: Integer
    Python type: int
    Default: No default

Reserve_Name
    The name assigned to the reservation during creation, if specified. See the N option to the pbs_rsub command.
    Readable by all; settable by all.
    Format: String
    Syntax: Up to 15 characters. First character is alphabetic.
    Python type: str
    Default: No default

Reserve_Owner
    The login name on the submitting host of the user who created the reservation.
    Readable by all; set by PBS.
    Format: String
    Syntax: <username>@<hostname>
    Python type: str
    Default: Login name of creator

reserve_retry
    If this reservation becomes degraded, this is set to the next time that PBS will attempt to reconfirm this reservation.
    Readable by all; set by PBS.
    Format: Timestamp
    Printed by qstat in human-readable Date format.
    Output in hooks as seconds since epoch.

    Python type: int
    Default: No default

reserve_rrule
    The rule that describes the recurrence pattern of a standing reservation. See the r option to the pbs_rsub command.
    Readable by all; settable by all.
    Format: String
    Syntax: either of two forms:
    "FREQ= <freq_spec>; COUNT= <count_spec>; <interval_spec>"
    or
    "FREQ= <freq_spec>; UNTIL= <until_spec>; <interval_spec>"
    where

    freq_spec
        Frequency with which the standing reservation repeats. Valid values are:
        WEEKLY|DAILY|HOURLY

    count_spec
        The exact number of occurrences. Number up to 4 digits in length.
        Format: Integer

    interval_spec
        Specifies interval.
        Format is one or both of:
        BYDAY = MO|TU|WE|TH|FR|SA|SU
        or
        BYHOUR = 0|1|2|...|23

    until_spec
        Occurrences will start up to but not after date and time specified.
        Format: YYYYMMDD[THHMMSS]
        Note that the year-month-day section is separated from the hour-minute-second section by a capital T.

    Python type: str
    Default: No default

reserve_start
    The date and time when the reservation period for the reservation or soonest occurrence begins.
    Readable by all; settable by all.
    Format: Timestamp
    Printed by qstat in human-readable Date format.
    Output in hooks as seconds since epoch.

    Python type: int

reserve_state
    The state of the reservation.
    Readable by all; set by PBS.
    Format: String
    Python type: Each value has its own reservation state constant. The following table shows each abbreviation, state, and Python constant:

    NO   RESV_NONE            pbs.RESV_STATE_NONE
        No reservation yet.

    UN   RESV_UNCONFIRMED     pbs.RESV_STATE_UNCONFIRMED
        Reservation request is awaiting confirmation.

    CO   RESV_CONFIRMED       pbs.RESV_STATE_CONFIRMED
        Reservation has been confirmed. For a standing reservation, this means that all occurrences of the reservation have been confirmed.

    WT   RESV_WAIT            pbs.RESV_STATE_WAIT
        Unused.

    TR   RESV_TIME_TO_RUN     pbs.RESV_STATE_TIME_TO_RUN
        Start of the reservation period.

    RN   RESV_RUNNING         pbs.RESV_STATE_RUNNING
        Reservation period has started and reservation is running.

    FN   RESV_FINISHED        pbs.RESV_STATE_FINISHED
        End of the reservation period.

    BD   RESV_BEING_DELETED   pbs.RESV_STATE_BEING_DELETED
        Reservation is being deleted.

    DE   RESV_DELETED         pbs.RESV_STATE_DELETED
        Reservation has been deleted.

    DJ   RESV_DELETING_JOBS   pbs.RESV_STATE_DELETING_JOBS
        Jobs belonging to the reservation are being deleted.

    Default: No default

reserve_substate
    The substate of the reservation or occurrence. The substate is used internally by PBS.
    Readable by all; set by PBS.
    Format: Integer
    Python type: int
    Default: No default

reserve_type
    No longer used.

Resource_List
    The list of resources allocated to the reservation. Jobs running in the reservation cannot use in aggregate more than the specified amount of a resource.
    Readable by all; settable by all.
    Format: String
    Syntax:
    Resource_List.<resource name>=<value>[,Resource_List.<resource name>=<value> ...]

    Python type: pbs.pbs_resource
    Syntax:
    Resource_List["<resource name>"]=<resource value>
    where resource name is any built-in or custom resource

    Default: No default

resv_nodes
    The list of vnodes and resources allocated from them to satisfy the chunks requested for this reservation or occurrence.
    Readable by all; set by PBS.
    Format: String
    Syntax:
    (<vnode name>:<resource name>=<value>[:<resource name>=<value>]...) [+(<vnode name>:<resource name>=<value>[:<resource name>=<value>])+...]

    Python type: pbs.exec_vnode
    Default: No default

server
    Name of server.
    Readable by all; set by PBS.
    Format: String
    Python type: pbs.server
    Default: No default

User_List
    No longer used.

Variable_List
    Not used.

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
pbs_rstat(1B), pbs_rsub(1B), pbs_resources(7B)